Retrieve Transactions V2

List the Transactions for a customer across all ingestion sources and accounts. Ordered by date_time and then transaction_id descending.

They are also provided with Enrichments - contextual information generated by Bud's artificial intelligence models. Enrichments are optional because not all Enrichments are relevant to all Transactions, or because they did not have enough information to generate enrichments (e.g. pending Transactions).

The Enrichment process also generates tags, which can be used for filtering using the include_tags and exclude_tags query parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Date (RFC3339) from which the transactions should be returned from. To maintain backwards compatibility, dates in the format (YYYY-MM-DD) can also be used and will be assumed to be UTC.

string

Date (RFC3339) from which the transactions should be returned to. To maintain backwards compatibility, dates in the format (YYYY-MM-DD) can also be used and will be assumed to be UTC. Uses the current date by default.

integer

Maximum number of results to be returned. Defaults to 100, maximum is 200

string

The token required to fetch a specific page of results. Provided by the next_page_token field in the previous request.

string

Identifier of the accounts from which transactions should be returned.

string

Human readable identifier of the merchants for which associated transactions should be returned.

string

Identifier of the Category Level 1 for which associated transactions should be returned.

string

Identifier of the Category Level 2 for which associated transactions should be returned.

include_tags
array of strings

Tags for which associated transactions should be returned.

include_tags
exclude_tags
array of strings

Tags for which associated transactions should not be returned.

exclude_tags
string
enum

Credit debit indicator for which associated transactions should be returned.

Allowed:
Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

Bud Customer identifier

string

The Bud Customer secret used to encrypt customer data. This is optional only if the customer secret is already stored with Bud (i.e. the host_secret was set to true in the Customer Context when the customer was created).

Responses

401

An unauthenticated request was received.

405

The request uses an unexpected HTTP method.

5XX

An unexpected error occurred on the server side.

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json